function run_all_tests()
r = [];
r = [r; run_this_test('test_fetch_series_by_code')];
r = [r; run_this_test('test_fetch_series_by_code_mask')];
r = [r; run_this_test('test_fetch_series_by_code_mask_with_plus_in_dimension_code')];
r = [r; run_this_test('test_fetch_series_by_id')];
r = [r; run_this_test('test_fetch_series_by_ids_in_same_dataset')];
r = [r; run_this_test('test_fetch_series_by_ids_in_different_datasets')];
r = [r; run_this_test('test_fetch_series_by_dimension')];
r = [r; run_this_test('test_fetch_series_of_dataset')];
r = [r; run_this_test('test_fetch_series_by_api_link')];
r = [r; run_this_test('test_fetch_series_with_na_values')];
r = [r; run_this_test('test_fetch_series_with_max_nb_series')];
r = [r; run_this_test('test_fetch_series_with_filter_on_one_series')];
print_results(r);


function o = run_this_test(file)
try
    tstart = tic;
    run([file '.m']);
    elapsed = toc(tstart);
    o = {file, true, elapsed};
catch
    o = {file, false, NaN};
end

function print_results(r)
message = sprintf('Testsuite results:\n');
for i = 1:size(r, 1)
    if r{i,2}
        message = sprintf('%s\n%s\t\t PASS (%ss)', message, r{i,1}, num2str(r{i,3}));
    else
        message = sprintf('%s\n%s\t\t FAILED', message, r{i,1});
    end
end
disp(message)
